##
##  perl-par.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                  5.22
%define       V_par_dist              0.48
%define       V_par                   1.002
%define       V_par_packer            1.064

#   package information
Name:         perl-par
Summary:      Perl Modules for use with Perl Archive
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20250710

#   list of sources
Source0:      http://www.cpan.org/authors/id/S/SM/SMUELLER/PAR-Dist-%{V_par_dist}.tar.gz
Source1:      http://www.cpan.org/authors/id/S/SM/SMUELLER/PAR-%{V_par}.tar.gz
Source2:      http://www.cpan.org/authors/id/R/RS/RSCHUPP/PAR-Packer-%{V_par_packer}.tar.gz
Patch0:       perl-par.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-comp, perl-sys, perl-crypto, perl-module, perl-parse
PreReq:       perl-comp, perl-sys, perl-crypto, perl-module, perl-parse

%description
    Perl modules for use with Perl archive:
    - PAR::Dist (%{V_par_dist})
    - PAR (%{V_par})
    - PAR::Packer (%{V_par_packer})

%track
    prog perl-par:PAR-Dist = {
        version   = %{V_par_dist}
        url       = http://www.cpan.org/authors/id/S/SM/SMUELLER/
        regex     = PAR-Dist-(__VER__)\.tar\.gz
    }
    prog perl-par:PAR = {
        version   = %{V_par}
        url       = http://www.cpan.org/authors/id/S/SM/SMUELLER/
        regex     = PAR-(__VER__)\.tar\.gz
    }
    prog perl-par:PAR-Packer = {
        version   = %{V_par_packer}
        url       = http://www.cpan.org/authors/id/R/RS/RSCHUPP/
        regex     = PAR-Packer-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %patch -p0

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2} configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

